<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Field;
use Illuminate\Http\Request;

class FieldsController extends Controller
{
    public function index()
    {
        $rows = Field::all();
        return view('admin.fields.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.fields.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'image' => 'required|image'
        ]);
        $field = new Field();
        $field['name'] = $request['name'];
        if ($request->hasFile('image')) $field->setImageAttribute();
        $field->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('fields.index');
    }

    public function edit($id)
    {
        $row = Field::find($id);
        return view('admin.fields.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'name' => 'required',
            'image' => 'image'
        ]);
        $field = Field::find($id);
        $field['name'] = $request['name'];
        if ($request->hasFile('image')) $field->setImageAttribute();
        $field->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('fields.index');
    }

    public function destroy($id)
    {
        Field::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('fields.index');
    }
}
