<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Subscription;
use Illuminate\Http\Request;

class SubscriptionsController extends Controller
{
    public function index()
    {
        $rows = Subscription::all();
        return view('admin.subscriptions.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.subscriptions.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|max:191',
            'duration' => 'required|numeric',
            'price' => 'required|numeric'
            //'user_id' => 'exists:users,id'
        ]);
        Subscription::create($request->all());
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('subscriptions.index');
    }

    public function edit($id)
    {
        $row = Subscription::find($id);
        return view('admin.subscriptions.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'name' => 'required|max:191',
            'duration' => 'required|numeric',
            'price' => 'required|numeric'
            //  'user_id' => 'exists:users,id'
        ]);

        $subscription = Subscription::find($id);
         $subscription->name = $request['name'];
         $subscription->duration = $request['duration'];
         $subscription->price = $request['price'];
        $subscription->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('subscriptions.index');
    }

    public function destroy($id)
    {
        Subscription::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('subscriptions.index');
    }

}
