<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Notification;
use App\Models\Transfer;
use App\Models\UserTokens;
use App\User;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class TransfersSubscribesController extends Controller
{

    public function index()
    {
        $rows = Transfer::latest()->get();
        return view('admin..transfers_subscribes.index', compact('rows'));
    }

    public function transfers_subscribes_status($id, $status)
    {
        $transfer = Transfer::findOrFail($id);
        $transfer->status = $status;
        $transfer->update();

        $user = User::findOrFail($transfer->user_id);
        if ($status == 'accept') {
            $user->subscription_expiry = Carbon::now()->addDays($transfer->subscription->duration)->toDateString();
            $user->subscription_id = $transfer->subscription_id;
            $user->update();
        }
        $notification = new Notification();
        $notification['user_id'] = $user->id;
        $notification['body'] = $status == 'accept' ? 'تم تأكيد دفع الاشتراك الخاص  بكم' : 'تم رفض  تأكيد التحويل الخاص  بالاشتراك';
        $notification['type'] = 'admin';
        $notification->save();


        $tokens = UserTokens::where(['user_id' => $user->id, 'status' => 'connected'])->get();

        foreach ($tokens as $token) {

            $push = new PushNotification('fcm');

            if ($token->device_type == 'ios') {
                $msg = [
                    'data' => [
                        'title' => $notification->body,
                        'body' => $notification->body,
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title' => $notification->body,
                        'body' => $notification->body,
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            } else {
                $msg = [
                    'data' => [
                        'title' => $notification->body,
                        'body' => $notification->body,
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            }


        }

        toast('تم تعديل الحالة بنجاح', 'success');
        return redirect()->back();
    }
}
