<?php

namespace App\Http\Controllers\Api\Salon;

use App\Http\Controllers\Controller;
use App\Http\Resources\FieldsResource;
use App\Http\Resources\SalonResource;
use App\Http\Resources\UserSalonResource;
use App\Models\Field;
use App\Models\Salon;
use App\User;
use Illuminate\Http\Request;

class FieldsController extends Controller
{
    public function fields()
    {
        $rows = Field::all();
        return FieldsResource::collection($rows)->additional(['value' => true, 'code' => 200]);
    }

    public function salon_field($id)
    {

       $rows =  Salon::whereHas('user', function ($user) use ($id) {
            $user->where('status', 'active')->where('admin_approve', 'true')->where('field_id',$id);
        })->paginate(20);

        return SalonResource::collection($rows)->additional(['value' => true, 'code' => 200]);

    }
}
