<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CheckValidateMobile
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {

        if (isset($request['mobile'])) {
            $phoneUtil = \libphonenumber\PhoneNumberUtil::getInstance();
            try {
                $swissNumberProto = $phoneUtil->parse($request['mobile'], 'SA');
                $is_valid = $phoneUtil->isValidNumber($swissNumberProto);

                if ($is_valid == false) {
                    return response()->json(['value' => false, 'msg' => \Lang::get('data.countryCodeErrorFormat')]);
                }

            } catch (\libphonenumber\NumberParseException $e) {
                print_r($e);
            }


            return $next($request);
        }


        return $next($request);


    }
}
