<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NormalUserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'username' => $this->username ,
            'mobile' => $this->mobile,
            'email' => $this->email,
            'city ' =>new CityResource($this->city),
            'type' => $this->type ? $this->type : '',
            'status' => $this->status ? $this->status : '',
            'lat' => $this->lat ? $this->lat : '',
            'code' => $this->code ? (integer)$this->code : 0,
            'lng' => $this->lng ? $this->lng : '',
            'image' => $this->image ? asset('images/users/'.$this->image) :'',
        ];
    }
}
