<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class OrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'salon_title' => $this->salon ? $this->salon->salon_title  : '',
             'code'=>$this->code ? $this->code : '',
            'status'=>$this->status ? $this->status : '',
            'payment_type'=>$this->payment_type ? $this->payment_type : '',
            'order_date'=>$this->order_date ? $this->order_date : '',
            'order_time'=>$this->order_time ? $this->order_time : '',
            'total_price'=>$this->total_price ? $this->total_price : '',
            'client_mobile'=>$this->user->mobile,
            'client_name'=>$this->user->username,
            'client_image'=>$this->user->image ? asset('images/users/'.$this->user->image) : '',
            'salon_mobile'=>$this->salon->user->mobile,
            'lat'=>$this->lat ? $this->lat : '',
            'lng'=>$this->lng ? $this->lng : '',
            'address'=>$this->address ? $this->address : '',
            'order_place'=>$this->order_place ? $this->order_place : '',
            'package'=>$this->package_id ? new PackageResource($this->package) : new \stdClass(),
            'services'=>ServicesResource::collection($this->services),
            'created_at_date'=>Carbon::parse($this->created_at)->toDateString(),
            'created_at_time'=>Carbon::parse($this->created_at)->toTimeString(),
        ];
    }
}
