<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class PackageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        \App::setLocale('ar');
        if ($this->discount_percent) {
            $price = $this->price - ($this->price * $this->discount_percent / 100);
        } else {
            $price = $this->price;
        }
        return [
            'id' => $this->id,
            'salon_id' => $this->salon_id,
            'title' => $this->title ? $this->title : '',
            'duration' => $this->duration ? $this->duration : '',
            'duration_type' => $this->duration_type ? $this->duration_type : '',
            'price' => (integer)$price,
            'place' => $this->place ? $this->place : '',
            'lat'=>$this->salon->user ? $this->salon->user->lat : '',
            'lng'=>$this->salon->user ? $this->salon->user->lng : '',
            'discount_percent' => $this->discount_percent ? $this->discount_percent : '',
            'description' => $this->description ? $this->description : '',
            'finish_date' => $this->finish_date ? $this->finish_date : '',
            'difference_date' => Carbon::parse($this->finish_date)->diffForHumans(),
        ];
    }
}
