<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ServicesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {

        if (isset($this->discount_percent)){
            $price = $this->price - ( $this->price * $this->discount_percent / 100);
        }else{
            $price = $this->price;
        }
        return [
            'id'=>$this->id,
            'title'=>$this->title,
            'price'=>(integer)$price,
            'discount_percent'=>$this->discount_percent ? $this->discount_percent : '',
            'duration'=>$this->duration
        ];
    }
}
