<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class SmallOrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'salon_title' => $this->salon ? $this->salon->salon_title  : '',
             'code' => $this->code ? $this->code : '',
            'status' => $this->status ? $this->status : '',
            'payment_type' => $this->payment_type ? $this->payment_type : '',
            'order_date' => $this->order_date ? $this->order_date : '',
            'order_time' => $this->order_time ? $this->order_time : '',
            'total_price' => $this->total_price ? $this->total_price : '',
            'order_place' => $this->order_place ? $this->order_place : '',
            'created_at_date' => Carbon::parse($this->created_at)->toDateString(),
            'created_at_time' => Carbon::parse($this->created_at)->toTimeString(),
        ];
    }
}
