<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{

    protected $table = 'categories';
    public $timestamps = true;
    protected $fillable = array('name');

    public function salons()
    {
        return $this->belongsToMany(Salon::class, 'salon_categories', 'category_id', 'salon_id');
    }

    public function services()
    {
        return $this->hasMany(Service::class, 'category_id');
    }
    public function setImageAttribute()
    {
        $rand = rand(111,999);
        $file = request()->file('image');
        $destinationPath = 'images/categories/';
        $filename = $rand .'_'.time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/categories/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
}
