<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('salon_id', 'user_id', 'code', 'payment_type', 'order_date', 'order_time', 'status', 'lat', 'lng', 'address', 'package_id','order_place','total_price');

    public function salon()
    {
        return $this->belongsTo(Salon::class, 'salon_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function package()
    {
        return $this->belongsTo(Package::class, 'package_id');
    }

    public function services()
    {
        return $this->belongsToMany(Service::class, 'order_services', 'order_id', 'service_id');
    }

    public function notifications()
    {
        return $this->hasMany(Notification::class, 'order_id');
    }

}
