<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{

    protected $table = 'transfers';
    protected $fillable = ['amount', 'status', 'type', 'user_id', 'bank_id', 'subscription_id', 'image'];

    public function  subscription(){
        return $this->belongsTo(Subscription::class, 'subscription_id');
    }
    public function  user(){
        return $this->belongsTo(User::class, 'user_id');
    }
    public function  bank(){
        return $this->belongsTo(Bank::class, 'bank_id');
    }

    public function setImageAttribute()
    {
        $rand = rand(111,999);
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = $rand .'_'.time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/transfers/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

}
