@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('setting.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control"
                                       value="{{( $row && $row->mobile) ? $row->mobile : ''}}" required
                                       name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكتروني</label>
                                <input type="email" class="form-control"
                                       value="{{($row && $row->email ) ? $row->email : ''}}" required
                                       name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكتروني">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط الفيس بوك</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->facebook ) ? $row->facebook : ''}}" required
                                       name="facebook"
                                       id="exampleInputEmail1"
                                       placeholder="رابط الفيس بوك">
                                @if ($errors->has('facebook'))
                                    <small class="text-danger">{{ $errors->first('facebook') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط تويتر</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->twitter ) ? $row->twitter : ''}}" required
                                       name="twitter"
                                       id="exampleInputEmail1"
                                       placeholder="رابط تويتر">
                                @if ($errors->has('twitter'))
                                    <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط سناب شات</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->snapchat ) ? $row->snapchat : ''}}" required
                                       name="snapchat"
                                       id="exampleInputEmail1"
                                       placeholder="رابط سناب شات">
                                @if ($errors->has('snapchat'))
                                    <small class="text-danger">{{ $errors->first('snapchat') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الايام المجانية</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->free_days ) ? $row->free_days : ''}}" required
                                       name="free_days"
                                       id="exampleInputEmail1"
                                       placeholder="الايام المجانية">
                                @if ($errors->has('free_days'))
                                    <small class="text-danger">{{ $errors->first('free_days') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة العمولة</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->commission ) ? $row->commission : ''}}" required
                                       name="commission"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة العمولة">
                                @if ($errors->has('commission'))
                                    <small class="text-danger">{{ $errors->first('commission') }}</small>
                                @endif
                            </div>


                            <div class="card-box">
                                <div class="form-group">
                                    <label for="about">عن التطبيق </label>
                                    <textarea class="form-control tinymce"
                                              name="about" cols="50"
                                              placeholder="عن التطبيق "
                                              rows="10">{{$row ? $row->about : ''}}</textarea>
                                    @if ($errors->has('about'))
                                        <small class="text-danger">{{ $errors->first('about') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy">سياسية الخصوصية </label>
                                    <textarea class="form-control tinymce"
                                              name="policy" cols="50"
                                              placeholder="سياسية الخصوصية "
                                              rows="10">{{$row ? $row->policy : ''}}</textarea>
                                    @if ($errors->has('policy'))
                                        <small class="text-danger">{{ $errors->first('policy') }}</small>
                                    @endif
                                </div>

                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
