@extends('admin.layout.master')
@section('title', "طلبات التحويل")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلبات التحويل</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">طلبات التحويل</h4>


                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>إسم الصالون</th>
                        <th>المبلغ</th>
                        <th>كود الطلب</th>
                        <td>رقم الحساب</td>
                        <td>إسم البنك</td>
                        <th>موافقة الأدمن</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>

                            <td>{{$row->salon->salon_title}}</td>
                            <td>{{$row->amount}}</td>
                            <td>{{$row->code}}</td>
                            <td>{{$row->account->account_number}}</td>
                            <td>{{$row->account->bank_name}}</td>
                             <td>
                                @if($row->admin_approve  == 'wait')

                                    في مرحله الانتظار

                                @elseif($row->admin_approve == 'accept')
                                تمت الموافقة

                                @elseif($row->admin_approve == 'refuse')
                                تم الرفض

                                @endif
                            </td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>
                                @if($row->admin_approve == 'wait')
                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#admin_approve{{$row->id}}">رد الإدراة
                                </button>
                                @endif


                                <!-- /.modal -->

                            </td>


                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('transfers.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>

                            <div id="admin_approve{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">رد الإدارة</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">رد الإدارة</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('transfers.update',$row->id)}}">
                                                @csrf
                                                @method('PATCH')
                                                <label for="exampleSelect1">رد الإدارة</label>
                                                <select name="admin_approve" class="form-control" id="exampleSelect1">
                                                    <option value="accept"
                                                            @if($row->status == 'accept') selected @endif>الموافقة</option>
                                                    <option value="refuse"
                                                            @if($row->status == 'refuse') selected @endif>الرفض</option>
                                                </select>
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-success waves-effect waves-light">تعديل
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>

                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
