@extends('admin.layout.master')
@section('title', "دفع وتحويلات الاشتراكات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">دفع وتحويلات الاشتراكات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">دفع وتحويلات الاشتراكات</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('transfers_subscribes.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الباقه المشترك بها</th>
                        <th>المبلغ</th>
                        <th>نوع الدفع</th>
                        <th>المشترك</th>
                        <th>البنك المحول اليه</th>
                        <th>حاله الدفع</th>
                        <th>صوره التحويل</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>

                            <td>{{$row->subscription->name}}</td>
                            <td>{{$row->amount .  ' ريال'}}</td>
                            <td>{{$row->type == 'bank' ? 'تحويل بنكي'  : 'دفع الكترونى'}}</td>
                            <td>{{$row->user->username}}</td>
                            <td>{{$row->bank_id ? $row->bank->bank_name : 'لايوجد'}}</td>
                            <td>@if($row->status == 'waiting')
                                    بانتظار التأكيد
                                @elseif($row->status == 'accept')
                                    تأكد الدفع
                                @else
                                    رفض
                                @endif
                            </td>
                            <td>@if($row->image)<img style="height: 150px" src="{{$row->image}}">@else  تم دفع
                                الكترونى  @endif</td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>


                                <!-- /.modal -->
                                @if($row->type == 'visa')
                                    <button type="button" class="btn btn-success waves-effect waves-light"
                                    >تم الدفع الكترونى
                                    </button>
                                @elseif($row->type == 'bank' && $row->status == 'accept')
                                    <button type="button" class="btn btn-success waves-effect waves-light"
                                    >تم تأكيد الدفع
                                    </button>
                                @elseif($row->status == 'refuse')
                                    <button type="button" class="btn btn-danger waves-effect waves-light"
                                    >تم الرفض
                                    </button>
                                @else
                                    <button type="button" class="btn btn-primary waves-effect waves-light"
                                            data-toggle="modal" data-target="#myModalStatus{{$row->id}}">تأكيد او رفض
                                    </button>
                                @endif
                            </td>


                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('transfers_subscribes.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>

                            <div id="myModalStatus{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">تأكيد الدفع</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تأكيد الدفع ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <a href="{{route('transfers_subscribes_status', [$row->id, 'accept'])}}"
                                               class="btn btn-success waves-effect waves-light">تأكيد
                                            </a>

                                            <a href="{{route('transfers_subscribes_status', [$row->id, 'refuse'])}}"
                                               class="btn btn-danger waves-effect waves-light">رفض
                                            </a>

                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>

                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>


                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
